Get Releases

Get Releases
Retrieve a list of release including current and target versions

Get all Releases, with option to get current release for a domain, get release by version or get future releases for a versionor get all the applicable target release. Domain VCF release calculations consider SDDC-M, BOM stack components(life cycle managed by LCM eg: Vcenter, Esx, Nsx) to compute Management domain VCF version, BOM stack components(life cycle managed by LCM) to compute VI domain VCF version respectively. Eg: Management domain component stack versions: [SDDC-M: 5.2.1.0, VC: 8.0U3, NSX:4.2.1.3, ESX: 8.0U3]. VCF version computed will be 5.2.1.0. VI domain component stack versions: [VC: 9.0.0.0, NSX: 9.0.0.0, ESX: 9.0.0.0]. VCF version computed is 9.0.0.0 for VI domain.

Request
URI
GET
https://{api_host}/v1/releases
COPY
Query Parameters
string
domainId
Optional

Domain ID to get current release of the domain

domainId example
9ab78840-ee25-11e8-a8fc-d71c338107bd
string
versionEq
Optional

Release version to get its release

versionEq example
3.9.0
string
versionGt
Optional

Release version to get its future releases

versionGt example
4.0.0.0
string
versionGe
Optional

Release version to get its current & future releases

versionGe example
9.0.0.0
string
applicableForVersion
Optional

Release version to get applicable releases

applicableForVersion example
4.0.1.0
string
minInstallerVersionLe
Optional

Releases with minInstallerVersion less than given minInstallerVersion

minInstallerVersionLe example
9.0.0.0
boolean
getFutureReleases
Optional

[Deprecated] Get all future releases for a given domain

getFutureReleases example
true
boolean
includeOnlyCompatible
Optional

Filter only compatible releases on the system

includeOnlyCompatible example
true

Responses
200

OK

Returns PageOfRelease of type(s) application/json
{
    "elements": [
        {
            "product": "string",
            "version": "string",
            "minCompatibleVcfVersion": "string",
            "description": "string",
            "releaseDate": "string",
            "bom": [
                {
                    "name": "string",
                    "version": "string",
                    "changeId": "string",
                    "publicName": "string",
                    "releaseURL": "string",
                    "additionalMetadata": "string",
                    "automatedInstall": false,
                    "lifecycleManagedBy": "string"
                }
            ],
            "isApplicable": false,
            "notApplicableReason": "string",
            "sku": [
                {
                    "name": "string",
                    "description": "string",
                    "skuSpecificPatchBundles": [
                        {
                            "bundleType": "string",
                            "bundleVersion": "string",
                            "version": "string"
                        }
                    ],
                    "bom": [
                        {
                            "name": "string",
                            "version": "string",
                            "changeId": "string",
                            "publicName": "string",
                            "releaseURL": "string",
                            "additionalMetadata": "string",
                            "automatedInstall": false,
                            "lifecycleManagedBy": "string"
                        }
                    ]
                }
            ],
            "updates": [
                {
                    "id": "string",
                    "productName": "string",
                    "baseProductVersion": "string",
                    "description": "string",
                    "releaseUpdateURL": "string",
                    "releaseDate": "string"
                }
            ],
            "patchBundles": [
                {
                    "bundleId": "string",
                    "bundleType": "string",
                    "bundleElements": [
                        "string"
                    ],
                    "cumulativeFromVcfVersion": "string"
                }
            ],
            "eol": "string",
            "upgradeOrder": "string",
            "minInstallerVersion": "string"
        }
    ],
    "pageMetadata": {
        "pageNumber": 0,
        "pageSize": 0,
        "totalElements": 0,
        "totalPages": 0
    }
}
array of object
elements
Optional

The list of elements included in this page

object
pageMetadata
Optional

Represents pageable elements pagination metadata


403

Forbidden

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


404

Release Not Found

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


500

Internal Server Error

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Optional

The minor error code

string
errorType
Optional

The error type

array of string
arguments
Optional

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Optional

The error context (e.g. the component where it occurred).

array of object
notifications
Optional

Detailed results of the precheck validation.

string
message
Optional

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Optional

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Optional

The localized label message

string
remediationUrl
Optional

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/releases